Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## edu.stanford.smi.protege.server.admin
Enum UserInfoTableModel.Column

    java.lang.Object
      java.lang.Enum<UserInfoTableModel.Column>
          edu.stanford.smi.protege.server.admin.UserInfoTableModel.Column

All Implemented Interfaces:
  Serializable, Comparable<UserInfoTableModel.Column>

Enclosing class:
  UserInfoTableModel

    public static enum UserInfoTableModel.Column

extends Enum<UserInfoTableModel.Column>

Enum Constant Summary
`backlog`
`ipAddr`
`sessionId`
`transaction`
`user`

Method Summary
`String` | `getColumnName()`
`static UserInfoTableModel.Column` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UserInfoTableModel.Column[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### sessionId

    public static final UserInfoTableModel.Column sessionId

### user

    public static final UserInfoTableModel.Column user

### ipAddr

    public static final UserInfoTableModel.Column ipAddr

### transaction

    public static final UserInfoTableModel.Column transaction

### backlog

    public static final UserInfoTableModel.Column backlog

Method Detail

### values

    public static final UserInfoTableModel.Column[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(UserInfoTableModel.Column c : UserInfoTableModel.Column.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static UserInfoTableModel.Column valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### getColumnName

    public String getColumnName()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.